"{ Package: 'stx:libjava/experiments' }"

LibraryDefinition subclass:#stx_libjava_experiments
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_libjava_experiments class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        FooLookup
        (HashSetInJavaResource autoload)
        (HashSetInJavaTests autoload)
        NoReflectionObject
        PerformanceTestStObject
        (PerformanceTests autoload)
        StCounter
        StHashSet
        (StInJavaResource autoload)
        (StInJavaTests autoload)
        StString
        (TodoTests autoload)
        #'stx_libjava_experiments'
        StIdentityCounter
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
    )
! !

!stx_libjava_experiments class methodsFor:'description - svn'!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'nil'"$"
! !

!stx_libjava_experiments class methodsFor:'documentation'!

version_SVN
    ^ '$Id: stx_libjava_experiments.st,v 1.1 2011-08-18 19:06:54 vrany Exp $'
! !
